// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
app = angular.module('starter', ['ionic'])

app.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    if(window.cordova && window.cordova.plugins.Keyboard) {
      // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
      // for form inputs)
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);

      // Don't remove this line unless you know what you are doing. It stops the viewport
      // from snapping when text inputs are focused. Ionic handles this internally for
      // a much nicer keyboard experience.
      cordova.plugins.Keyboard.disableScroll(true);
    }
    if(window.StatusBar) {
      StatusBar.styleDefault();
    }

    var admobid = {};
    // select the right Ad Id according to platform
    if( /(android)/i.test(navigator.userAgent) ) {
      admobid = { // for Android
        banner: 'ca-app-pub-8468076192822595/2557970066',
        interstitial: 'ca-app-pub-8468076192822595/2418369262'
      };

    }

    if(window.AdMob) {
      AdMob.createBanner({
        adId: admobid.banner,
        position: AdMob.AD_POSITION.BOTTOM_CENTER,
        autoShow: false
      });

      AdMob.prepareInterstitial({
        adId: admobid.interstitial,
        autoShow: false
      });
    }


  });

});

app.config(function ($stateProvider,$urlRouterProvider) {
  $stateProvider.state("welcome",{
    url:"/welcome",
    templateUrl:"templates/welcome.html",
    controller:"WelcomeCtrl"
  });

  $stateProvider.state("page1",{
    url:"/page1",
    templateUrl:"templates/page1.html",
    controller:"Page1Ctrl"
  });

  $stateProvider.state("page2",{
    url:"/page2",
    templateUrl:"templates/page2.html",
    controller:"Page2Ctrl"
  });

  $stateProvider.state("page3",{
    url:"/page3",
    templateUrl:"templates/page3.html",
    controller:"Page3Ctrl"

  });

  $stateProvider.state("page4",{
    url:"/page4",
    templateUrl:"templates/page4.html",
    controller:"Page4Ctrl"

  });

  $stateProvider.state("page5",{
    url:"/page5",
    templateUrl:"templates/page5.html",
    controller:"Page5Ctrl"


  });

  $stateProvider.state("page6",{
    url:"/page6",
    templateUrl:"templates/page6.html",
    controller:"Page6Ctrl"

  });

  $stateProvider.state("page7",{
    url:"/page7",
    templateUrl:"templates/page7.html",
    controller:"Page7Ctrl"


  });

  $stateProvider.state("page8",{
    url:"/page8",
    templateUrl:"templates/page8.html",
    controller:"Page8Ctrl"


  });

  $urlRouterProvider.otherwise("welcome");

});





app.controller("WelcomeCtrl",function ($scope,$state,$ionicLoading) {


  $scope.getPage1 = function () {
    $ionicLoading.show({
      template:"Chargement en cours"
    });
    $state.go("page1");
    $ionicLoading.hide();
  };

});

app.controller("Page1Ctrl",function ($scope,$state) {

  $scope.debloquer = false;
  $scope.debloquer2 = false;
  $scope.debloquer3 = false;
  $scope.debloquer4 = false;
  $scope.debloquer5 = false;
  $scope.debloquer6 = false;
  $scope.debloquer7 = false;



  AdMob.showBanner(AdMob.AD_POSITION.BOTTOM_CENTER);


    $scope.menu1 = function () {
      $scope.debloquer = true;
      if(AdMob) AdMob.showInterstitial();
      AdMob.prepareInterstitial({
        adId: 'ca-app-pub-8468076192822595/2418369262',
        autoShow: false});
      $state.go("page2");
    };

    $scope.menu2 = function () {
      $scope.debloquer2 = true;
      AdMob.showInterstitial();
      AdMob.prepareInterstitial({
        adId: 'ca-app-pub-8468076192822595/2418369262',
        autoShow: false});
      $state.go("page3");
    };

    $scope.menu3 = function () {
      $scope.debloquer3 = true;
      if(AdMob) AdMob.showInterstitial();
      AdMob.prepareInterstitial({
        adId: 'ca-app-pub-8468076192822595/2418369262',
        autoShow: false});
      $state.go("page4");
    };

    $scope.menu4 = function () {
      $scope.debloquer4 = true;
     if(AdMob) AdMob.showInterstitial();
      AdMob.prepareInterstitial({
        adId: 'ca-app-pub-8468076192822595/2418369262',
        autoShow: false});
      $state.go("page5");
    };

    $scope.menu5 = function () {
      $scope.debloquer5 = true;
      if(AdMob) AdMob.showInterstitial();
      AdMob.prepareInterstitial({
        adId: 'ca-app-pub-8468076192822595/2418369262',
        autoShow: false});
      $state.go("page6");
    };

    $scope.menu6 = function () {
      $scope.debloquer6 = true;

      AdMob.showInterstitial();
      AdMob.prepareInterstitial({
        adId: 'ca-app-pub-8468076192822595/2418369262',
        autoShow: false});
      $state.go("page7");
    };

    $scope.menu7 = function () {
      AdMob.showInterstitial();
      $state.go("page8");
    };

});


app.controller("Page2Ctrl",function ($scope,$state) {


  $scope.return2 = function () {
    $scope.debloquer2 = true;
    AdMob.showInterstitial();
    AdMob.prepareInterstitial({
      adId: 'ca-app-pub-8468076192822595/2418369262',
      autoShow: false});
    $state.go("page1");
  };



});

app.controller("Page3Ctrl",function ($scope,$state) {


  $scope.return2 = function () {
    $scope.debloquer2 = true;
   AdMob.showInterstitial();
    AdMob.prepareInterstitial({
     adId: 'ca-app-pub-8468076192822595/2418369262',
     autoShow: false});
    $state.go("page1");
  };



});

app.controller("Page4Ctrl",function ($scope,$state) {


  $scope.return2 = function () {
    $scope.debloquer2 = true;
    AdMob.showInterstitial();
    AdMob.prepareInterstitial({
     adId: 'ca-app-pub-8468076192822595/2418369262',
     autoShow: false});
    $state.go("page1");
  };



});

app.controller("Page5Ctrl",function ($scope,$state) {


  $scope.return2 = function () {
    $scope.debloquer2 = true;
    AdMob.showInterstitial();
    AdMob.prepareInterstitial({
     adId: 'ca-app-pub-8468076192822595/2418369262',
     autoShow: false});
    $state.go("page1");
  };



});
app.controller("Page6Ctrl",function ($scope,$state) {


  $scope.return2 = function () {
    $scope.debloquer2 = true;
    AdMob.showInterstitial();
    AdMob.prepareInterstitial({
     adId: 'ca-app-pub-8468076192822595/2418369262',
     autoShow: false});
    $state.go("page1");
  };



});

app.controller("Page7Ctrl",function ($scope,$state) {


  $scope.return2 = function () {
    $scope.debloquer2 = true;
    AdMob.showInterstitial();
    AdMob.prepareInterstitial({
     adId: 'ca-app-pub-8468076192822595/2418369262',
     autoShow: false});
    $state.go("page1");
  };



});

app.controller("Page8Ctrl",function ($scope,$state) {


  $scope.return2 = function () {
    $scope.debloquer2 = true;
    AdMob.showInterstitial();
    AdMob.prepareInterstitial({
     adId: 'ca-app-pub-8468076192822595/2418369262',
     autoShow: false});
    $state.go("page1");
  };



});










